org.codehaus.groovy.runtime

## Class ScriptTestAdapter

- java.lang.Object
- - org.codehaus.groovy.runtime.ScriptTestAdapter

All Implemented Interfaces:
  Test

    public class ScriptTestAdapter
    extends Object
    implements Test

An adapter to make any Groovy Script class an instance of a JUnit Test

Version:
  $Revision: 6778 $

### Constructor Summary

Constructors
Constructor and Description
`ScriptTestAdapter(Class scriptClass, String[] arguments)`

### Method Summary

Methods
`int` `countTestCases()`
`void` `run(TestResult result)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ScriptTestAdapter

    public ScriptTestAdapter(Class scriptClass,
                     String[] arguments)

### Method Detail

#### countTestCases

    public int countTestCases()

Specified by:
  `countTestCases` in interface `Test`

#### run

    public void run(TestResult result)

Specified by:
  `run` in interface `Test`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`